"""
This file demonstrates writing tests using the unittest module. These will pass
when you run "manage.py test".

Replace this with more appropriate tests for your application.
"""

from django.utils import unittest
from django.test.client import Client

class UrlTestClass(unittest.TestCase):
	def setUp(self):
		self.client = Client()

	def test_200_on_people(self):
		response = self.client.get("/people/")
		self.assertEqual(response.status_code, 200)

	def test_200_on_categories(self):
		response = self.client.get("/category/")
		self.assertEqual(response.status_code, 200)

	def test_200_on_battle(self):
		response = self.client.get("/battle/")
		self.assertEqual(response.status_code, 200)

	def test_200_on_distance_category(self):
		response = self.client.get("/category/running/")
		self.assertEqual(response.status_code, 200)

	def test_200_on_duration_category(self):
		response = self.client.get("/category/weights/")
		self.assertEqual(response.status_code, 200)

	def test_200_on_individual_friend(self):
		response = self.client.get("/people/Brian-Bekins/")
		self.assertEqual(response.status_code, 200)