from django.conf.urls.defaults import patterns, include, url
from django.conf import settings
from front_end.views import *
from django.contrib.staticfiles.urls import staticfiles_urlpatterns

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',

	# Admin
    url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
    url(r'^admin/', include(admin.site.urls)),

    # Get Fit, Get Paid
    ('^$', home),
    (r'^battle/$', battle),
    (r'^battle/data/$', battle_ajax),
    (r'^category/(?P<category>[-\w]+)/$',category_specific),
    (r'^category/$',category),
    (r'^people/(?P<person>[-\w]+)/$', people_specific),
    (r'^people/$', people),
    (r'^update-people/$', update_people),
    (r'^update/(?P<key>[-\w]+)/(?P<id>[-\w]+)/$', update),
)

# Static files while on development
urlpatterns += staticfiles_urlpatterns()